import java.awt.Font;
import javax.swing.JFrame;
import javax.swing.JTable;
import javax.swing.SwingUtilities;
import javax.swing.table.TableModel;

public class EmojiSample1 {
    // G̗
    private char[][] emojis = {
        {'\u00A9', '\u00AE', '\u203C', '\u2049', '\u2122',
         '\u2139', '\u2194', '\u2195', '\u2196', '\u2197'},
        {'\u2198', '\u2199', '\u21A9', '\u21AA', '\u231A',
         '\u231B', '\u23E9', '\u23EA', '\u23EB', '\u23EC'},
        {'\u23FC', '\u23F3', '\u24C2', '\u25AA', '\u25AB',
         '\u25B6', '\u25C0', '\u25FB', '\u25FC', '\u25FD'},
        {'\u25FE', '\u2600', '\u2601', '\u260E', '\u2611',
         '\u2614', '\u2615', '\u261D', '\u263A', '\u2648'},
        {'\u2649', '\u264A', '\u264B', '\u264C', '\u264D',
         '\u264E', '\u264F', '\u2650', '\u2651', '\u2652'},
        {'\u2653', '\u2660', '\u2663', '\u2665', '\u2666',
         '\u2668', '\u267B', '\u267F', '\u2693', '\u26A0'},
    };
        
    public EmojiSample1() {
        JFrame frame = new JFrame("Emoji Sample");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        // G߂EmojiTableModelgp
        TableModel model = new EmojiTableModel(emojis);

        JTable table = new JTable(model);

        // tHg̐ݒ
        table.setFont(new Font("acۃSVbN2004G", 
                               Font.PLAIN, 24));
        table.setRowHeight(48);

        frame.add(table);
        frame.pack();
        frame.setVisible(true);
    }

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                new EmojiSample1();
            }
        });
    }
}