import javax.swing.table.AbstractTableModel;

public class EmojiTableModel extends AbstractTableModel {
    private char[][] data;
    private int columnCount;
    private int rowCount;

    public EmojiTableModel(char[][] data) {
        this.data = data;
        
        rowCount = data.length;
        char[] raw = data[0];
        columnCount = raw.length;
    }

    public int getRowCount() {
        return rowCount;
    }

    public int getColumnCount() {
        return columnCount;
    }

    public Object getValueAt(int row, int column) {
        // GUnicodẽR[h|Cg\
        String value
            = String.format("<html><p align=\"center\">%c<br/><small>U+%04X</small></p></html>" ,
                            data[row][column],
                            (int)data[row][column]);
        
        return value;
    }
}